Liste des transactions
curl --request GET \
--url https://sandbox-api.caurisflux.com/api/v1/payments/transactions \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox-api.caurisflux.com/api/v1/payments/transactions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox-api.caurisflux.com/api/v1/payments/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Paiements
Liste des transactions
Récupérer l historique des transactions
GET
/
payments
/
transactions
Liste des transactions
Récupère la liste de vos transactions avec pagination et filtres.
Authentification
X-API-Key: pk_test_xxx:sk_test_xxx
Paramètres de requête
| Paramètre | Type | Défaut | Description |
|---|---|---|---|
page | number | 1 | Numéro de page |
limit | number | 20 | Nombre par page (max: 100) |
status | string | - | Filtrer par statut |
provider | string | - | Filtrer par provider |
type | string | - | Filtrer par type (collect ou payout) |
startDate | string | - | Date de début (YYYY-MM-DD) |
endDate | string | - | Date de fin (YYYY-MM-DD) |
externalReference | string | - | Recherche par votre référence |
Requête
curl "https://sandbox-api.caurisflux.com/api/v1/payments/transactions?page=1&limit=20" \
-H "X-API-Key: pk_test_xxx:sk_test_xxx"
Requête avec filtres
curl "https://sandbox-api.caurisflux.com/api/v1/payments/transactions?status=completed&provider=wave&startDate=2024-01-01&endDate=2024-01-31" \
-H "X-API-Key: pk_test_xxx:sk_test_xxx"
Réponse
{
"data": [
{
"transactionId": "TX000007272",
"status": "completed",
"amount": 10000,
"currency": "XOF",
"provider": "wave",
"externalReference": "COMMANDE-12345",
"customerName": "Amadou Diallo",
"createdAt": "2024-01-15T12:00:00.000Z",
"paidAt": "2024-01-15T12:05:30.000Z"
},
{
"transactionId": "TX000007271",
"status": "pending",
"amount": 25000,
"currency": "XOF",
"provider": "orange_money",
"externalReference": "COMMANDE-12344",
"customerName": "Fatou Sow",
"createdAt": "2024-01-15T11:50:00.000Z"
}
],
"meta": {
"total": 150,
"page": 1,
"limit": 20,
"totalPages": 8
}
}
Statuts de filtrage
| Statut | Description |
|---|---|
pending | En attente |
processing | En cours |
completed | Réussi |
failed | Échoué |
cancelled | Annulé |
refunded | Remboursé |
GET /payments/transactions/:transactionId
Récupère tous les détails d’une transaction spécifique.Requête
curl "https://sandbox-api.caurisflux.com/api/v1/payments/transactions/TX000007272" \
-H "X-API-Key: pk_test_xxx:sk_test_xxx"
Réponse
{
"transactionId": "TX000007272",
"merchantReference": "COMMANDE-12345",
"type": "collect",
"status": "completed",
"amount": 10000,
"currency": "XOF",
"provider": "wave",
"providerReference": "WAVE-TXN-123456",
"customerPhone": "+221771234567",
"customerName": "Amadou Diallo",
"customerEmail": "amadou@example.com",
"description": "Achat sur MaBoutique.sn",
"completedAt": "2024-01-15T12:05:30.000Z",
"createdAt": "2024-01-15T12:00:00.000Z",
"updatedAt": "2024-01-15T12:05:30.000Z",
"metadata": {
"orderId": "12345",
"customerType": "premium"
}
}
⌘I